MOVE(7)

NAME
MOVE - position a cursor

SYNOPSIS

MOVE [ direction { FROM | IN } ] cursorname

DESCRIPTION

MOVE repositions a cursor without retrieving any data. MOVE works exactly like the FETCH command, except it only positions the cursor and does not return rows.

Refer to FETCH [fetch(7)] for details on syntax and usage.

OUTPUTS

On successful completion, a MOVE command returns a command tag of the form

MOVE count

The count is the number of rows moved over (possibly zero).

EXAMPLES

BEGIN WORK;
DECLARE liahona CURSOR FOR SELECT * FROM films;
-- Skip the first 5 rows:
MOVE FORWARD 5 IN liahona;
MOVE 5
-- Fetch the 6th row from the cursor liahona:
FETCH 1 FROM liahona;
 code  | title  | did | date_prod  |  kind  |  len
-------+--------+-----+------------+--------+-------
 P_303 | 48 Hrs | 103 | 1982-10-22 | Action | 01:37
(1 row)
-- Close the cursor liahona and end the transaction:
CLOSE liahona;
COMMIT WORK;

COMPATIBILITY

There is no MOVE statement in the SQL standard.